From: "Andreas Sturmlechner" <asturm@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-qt/qtgui/
Date: Wed, 12 Jan 2022 16:14:44 +0000 (UTC) [thread overview]
Message-ID: <1642003934.ee9113be721c2c9eb6fec49edc9184dfb716240d.asturm@gentoo> (raw)
commit: ee9113be721c2c9eb6fec49edc9184dfb716240d
Author: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Wed Jan 12 12:57:41 2022 +0000
Commit: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Wed Jan 12 16:12:14 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ee9113be
dev-qt/qtgui: 5.15.2-r16 version bump at KDE 38ad2f39
Changes since 7c6c0030cf80ef7b9ace42996b0e0c3a72f76860:
Albert Astals Cid (1):
Use block char format to render list item bullets and numbers
Liang Qi (1):
xcb: avoid to use invalid pointers
Volker Hilsheimer (1):
QXcb: don't dereference pointer before checking
Zhang Hao (1):
Use qint64 to replace int while qt_transform_image_rasterize
Øystein Heskestad (1):
Add missing macOS header file that was indirectly included before
Package-Manager: Portage-3.0.30, Repoman-3.0.3
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>
dev-qt/qtgui/Manifest | 1 +
dev-qt/qtgui/qtgui-5.15.2-r16.ebuild | 184 +++++++++++++++++++++++++++++++++++
2 files changed, 185 insertions(+)
diff --git a/dev-qt/qtgui/Manifest b/dev-qt/qtgui/Manifest
index 8f45ea5ec73a..4f0dd80dbe1f 100644
--- a/dev-qt/qtgui/Manifest
+++ b/dev-qt/qtgui/Manifest
@@ -1 +1,2 @@
+DIST qtbase-5.15.2-38ad2f39.tar.gz 67969272 BLAKE2B 9071c96e8162d8141676f63aab82ca61ba29039e79066939fb74501187ae95cca34c924f1105827411f021efca2f40a62b7acde845d0d463604b234a3a8f8370 SHA512 df4f2dce732f62c797f77c266e268097f32a5d7605b3464c9a76d323d8ec069c902994df6afa28823d3c03f5d4ca0295cac47e28773b25e2f9387e3475f52f82
DIST qtbase-5.15.2-7c6c0030.tar.gz 67967537 BLAKE2B 623b99942e9df9bc8ac436a21503060845f9e3532aa0e02ccd927762382be26091878fbe092e80c0ac68bead51d09647e40e0cf61361d62ad226ed46b221132b SHA512 eb88b21764591246c5f04f63405dbfcd39afb737e96bb29c7721644b9aba3ea95df24ed9699acfd03a8c088ee72efec1fb0267aef8d665d5ec72ee75fc08ecdc
diff --git a/dev-qt/qtgui/qtgui-5.15.2-r16.ebuild b/dev-qt/qtgui/qtgui-5.15.2-r16.ebuild
new file mode 100644
index 000000000000..3d8b468b1913
--- /dev/null
+++ b/dev-qt/qtgui/qtgui-5.15.2-r16.ebuild
@@ -0,0 +1,184 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+KDE_ORG_COMMIT=38ad2f39daec09168728033969265834b6a2d924
+QT5_MODULE="qtbase"
+inherit qt5-build
+
+DESCRIPTION="The GUI module and platform plugins for the Qt5 framework"
+SLOT=5/${QT5_PV} # bug 707658
+
+if [[ ${QT5_BUILD_TYPE} == release ]]; then
+ KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~sparc ~x86"
+fi
+
+IUSE="accessibility dbus egl eglfs evdev +gif gles2-only ibus jpeg
+ +libinput linuxfb +png tslib tuio +udev vnc vulkan wayland +X"
+REQUIRED_USE="
+ || ( eglfs linuxfb vnc X )
+ accessibility? ( dbus X )
+ eglfs? ( egl )
+ ibus? ( dbus )
+ libinput? ( udev )
+ X? ( gles2-only? ( egl ) )
+"
+
+RDEPEND="
+ dev-libs/glib:2
+ =dev-qt/qtcore-${QT5_PV}*:5=
+ dev-util/gtk-update-icon-cache
+ media-libs/fontconfig
+ media-libs/freetype:2
+ media-libs/harfbuzz:=
+ sys-libs/zlib:=
+ dbus? ( =dev-qt/qtdbus-${QT5_PV}* )
+ eglfs? (
+ media-libs/mesa[gbm(+)]
+ x11-libs/libdrm
+ )
+ evdev? ( sys-libs/mtdev )
+ jpeg? ( virtual/jpeg )
+ gles2-only? ( media-libs/libglvnd )
+ !gles2-only? ( media-libs/libglvnd[X] )
+ libinput? (
+ dev-libs/libinput:=
+ x11-libs/libxkbcommon
+ )
+ png? ( media-libs/libpng:= )
+ tslib? ( >=x11-libs/tslib-1.21 )
+ tuio? ( =dev-qt/qtnetwork-${QT5_PV}* )
+ udev? ( virtual/libudev:= )
+ vnc? ( =dev-qt/qtnetwork-${QT5_PV}* )
+ vulkan? ( dev-util/vulkan-headers )
+ X? (
+ x11-libs/libICE
+ x11-libs/libSM
+ x11-libs/libX11
+ x11-libs/libxcb:=[xkb]
+ x11-libs/libxkbcommon[X]
+ x11-libs/xcb-util-image
+ x11-libs/xcb-util-keysyms
+ x11-libs/xcb-util-renderutil
+ x11-libs/xcb-util-wm
+ )
+"
+DEPEND="${RDEPEND}
+ evdev? ( sys-kernel/linux-headers )
+ linuxfb? ( sys-kernel/linux-headers )
+ udev? ( sys-kernel/linux-headers )
+"
+PDEPEND="
+ ibus? ( app-i18n/ibus )
+ wayland? ( =dev-qt/qtwayland-${QT5_PV}* )
+"
+
+QT5_TARGET_SUBDIRS=(
+ src/tools/qvkgen
+ src/gui
+ src/openglextensions
+ src/platformheaders
+ src/platformsupport
+ src/plugins/generic
+ src/plugins/imageformats
+ src/plugins/platforms
+ src/plugins/platforminputcontexts
+)
+
+QT5_GENTOO_CONFIG=(
+ accessibility:accessibility-atspi-bridge
+ egl:egl:
+ eglfs:eglfs:
+ eglfs:eglfs_egldevice:
+ eglfs:eglfs_gbm:
+ evdev:evdev:
+ evdev:mtdev:
+ :fontconfig:
+ :system-freetype:FREETYPE
+ !:no-freetype:
+ !gif:no-gif:
+ gles2-only::OPENGL_ES
+ gles2-only:opengles2:OPENGL_ES_2
+ !:no-gui:
+ :system-harfbuzz:
+ !:no-harfbuzz:
+ jpeg:system-jpeg:IMAGEFORMAT_JPEG
+ !jpeg:no-jpeg:
+ libinput
+ libinput:xkbcommon:
+ :opengl
+ png:png:
+ png:system-png:IMAGEFORMAT_PNG
+ !png:no-png:
+ tslib:tslib:
+ udev:libudev:
+ vulkan:vulkan:
+ X:xcb:
+ X:xcb-glx:
+ X:xcb-plugin:
+ X:xcb-render:
+ X:xcb-sm:
+ X:xcb-xlib:
+ X:xcb-xinput:
+)
+
+QT5_GENTOO_PRIVATE_CONFIG=(
+ :gui
+)
+
+PATCHES=(
+ "${FILESDIR}/qt-5.12-gcc-avx2.patch" # bug 672946
+ "${FILESDIR}/${PN}-5.14.1-cmake-macro-backward-compat.patch" # bug 703306
+)
+
+src_prepare() {
+ # don't add -O3 to CXXFLAGS, bug 549140
+ sed -i -e '/CONFIG\s*+=/s/optimize_full//' src/gui/gui.pro || die
+
+ # egl_x11 is activated when both egl and X are enabled
+ use egl && QT5_GENTOO_CONFIG+=(X:egl_x11:) || QT5_GENTOO_CONFIG+=(egl:egl_x11:)
+
+ qt_use_disable_config dbus dbus \
+ src/platformsupport/themes/genericunix/genericunix.pri
+
+ qt_use_disable_config tuio tuiotouch src/plugins/generic/generic.pro
+
+ qt_use_disable_mod ibus dbus \
+ src/plugins/platforminputcontexts/platforminputcontexts.pro
+
+ use vnc || sed -i -e '/SUBDIRS += vnc/d' \
+ src/plugins/platforms/platforms.pro || die
+
+ qt5-build_src_prepare
+}
+
+src_configure() {
+ local myconf=(
+ $(usev dbus -dbus-linked)
+ $(qt_use egl)
+ $(qt_use eglfs)
+ $(usev eglfs '-gbm -kms')
+ $(qt_use evdev)
+ $(qt_use evdev mtdev)
+ -fontconfig
+ -system-freetype
+ $(usev !gif -no-gif)
+ -gui
+ -system-harfbuzz
+ $(qt_use jpeg libjpeg system)
+ $(qt_use libinput)
+ $(qt_use linuxfb)
+ -opengl $(usex gles2-only es2 desktop)
+ $(qt_use png libpng system)
+ $(qt_use tslib)
+ $(qt_use udev libudev)
+ $(qt_use vulkan)
+ $(qt_use X xcb)
+ $(usev X '-xcb-xlib')
+ )
+ if use libinput || use X; then
+ myconf+=( -xkbcommon )
+ fi
+ qt5-build_src_configure
+}
next reply other threads:[~2022-01-12 16:14 UTC|newest]
Thread overview: 191+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-01-12 16:14 Andreas Sturmlechner [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-06-01 14:53 [gentoo-commits] repo/gentoo:master commit in: dev-qt/qtgui/ Arthur Zamarin
2024-02-17 16:57 Andreas Sturmlechner
2024-02-16 8:29 Arthur Zamarin
2024-02-16 8:29 Arthur Zamarin
2024-02-16 8:28 Arthur Zamarin
2024-02-16 8:28 Arthur Zamarin
2024-02-16 8:28 Arthur Zamarin
2024-02-16 8:28 Arthur Zamarin
2024-02-06 22:32 Sam James
2024-02-05 20:07 Andreas Sturmlechner
2023-12-19 20:58 Andreas Sturmlechner
2023-12-18 8:27 Arthur Zamarin
2023-12-16 11:36 Sam James
2023-11-29 8:23 Arthur Zamarin
2023-11-28 9:46 Andreas Sturmlechner
2023-11-23 19:53 Sam James
2023-11-23 16:47 Arthur Zamarin
2023-11-23 16:47 Arthur Zamarin
2023-11-21 23:52 Sam James
2023-11-16 0:47 Andreas Sturmlechner
2023-11-11 8:37 Andreas Sturmlechner
2023-09-30 10:00 Andreas Sturmlechner
2023-09-27 19:24 Arthur Zamarin
2023-09-23 15:59 Ionen Wolkens
2023-09-21 19:34 Andreas Sturmlechner
2023-09-04 4:04 Ionen Wolkens
2023-08-16 16:31 Andreas Sturmlechner
2023-08-16 14:19 Arthur Zamarin
2023-08-16 14:18 Arthur Zamarin
2023-08-16 14:10 Arthur Zamarin
2023-08-16 13:49 Arthur Zamarin
2023-08-09 4:52 Arthur Zamarin
2023-08-09 4:52 Arthur Zamarin
2023-08-05 23:00 Andreas Sturmlechner
2023-05-25 7:46 Arthur Zamarin
2023-05-23 2:52 Sam James
2023-04-09 20:17 Andreas Sturmlechner
2023-04-09 19:34 Arthur Zamarin
2023-04-09 19:25 Arthur Zamarin
2023-04-09 19:25 Arthur Zamarin
2023-04-09 19:04 Arthur Zamarin
2023-04-09 18:54 Arthur Zamarin
2023-04-09 18:53 Arthur Zamarin
2023-03-26 11:56 Andreas Sturmlechner
2023-02-19 13:24 Andreas Sturmlechner
2023-02-19 12:55 Arthur Zamarin
2023-02-19 12:55 Arthur Zamarin
2023-02-19 11:43 Arthur Zamarin
2023-02-19 11:43 Arthur Zamarin
2023-02-07 17:47 Sam James
2023-02-07 16:54 Sam James
2023-02-05 13:54 Andreas Sturmlechner
2023-02-05 13:54 Andreas Sturmlechner
2023-01-26 22:40 Andreas Sturmlechner
2023-01-21 19:37 Arthur Zamarin
2023-01-21 19:33 Arthur Zamarin
2023-01-10 0:04 Andreas Sturmlechner
2023-01-10 0:04 Andreas Sturmlechner
2022-11-05 16:35 Andreas Sturmlechner
2022-10-28 18:59 Arthur Zamarin
2022-10-04 17:32 Sam James
2022-10-04 17:32 Sam James
2022-08-27 8:40 Agostino Sarubbo
2022-08-27 8:27 Agostino Sarubbo
2022-08-26 13:20 Arthur Zamarin
2022-08-15 10:43 Andreas Sturmlechner
2022-08-12 14:31 Agostino Sarubbo
2022-08-05 7:15 Agostino Sarubbo
2022-08-05 5:47 Arthur Zamarin
2022-08-05 5:47 Arthur Zamarin
2022-08-04 17:55 Arthur Zamarin
2022-08-04 17:55 Arthur Zamarin
2022-07-23 11:22 Andreas Sturmlechner
2022-07-04 17:58 Arthur Zamarin
2022-06-19 22:45 Sam James
2022-06-19 22:45 Sam James
2022-06-19 5:30 Sam James
2022-06-19 5:29 Sam James
2022-06-09 14:13 Andreas Sturmlechner
2022-05-25 11:20 WANG Xuerui
2022-04-17 19:32 Sam James
2022-01-20 13:26 Andreas Sturmlechner
2022-01-20 12:15 Jakov Smolić
2022-01-20 9:00 Jakov Smolić
2022-01-19 22:43 Sam James
2022-01-19 22:43 Sam James
2022-01-18 22:52 Jakov Smolić
2021-12-16 12:29 Andreas Sturmlechner
2021-12-15 23:55 Sam James
2021-12-15 23:55 Sam James
2021-12-15 23:38 Sam James
2021-12-15 14:46 Jakov Smolić
2021-12-15 13:41 Jakov Smolić
2021-12-10 13:19 Andreas Sturmlechner
2021-12-10 13:19 Andreas Sturmlechner
2021-11-07 23:42 Andreas Sturmlechner
2021-10-17 0:29 Sam James
2021-10-17 0:27 Sam James
2021-09-24 10:52 Andreas Sturmlechner
2021-09-22 20:01 Andreas Sturmlechner
2021-09-22 20:01 Andreas Sturmlechner
2021-08-26 18:38 Sam James
2021-08-25 14:36 Andreas Sturmlechner
2021-08-25 14:36 Andreas Sturmlechner
2021-08-23 2:06 Sam James
2021-07-24 23:43 Yixun Lan
2021-01-09 21:18 Sam James
2021-01-09 21:17 Sam James
2021-01-09 13:42 Sam James
2021-01-02 1:23 Andreas Sturmlechner
2020-10-13 9:58 Agostino Sarubbo
2020-10-13 9:51 Agostino Sarubbo
2020-10-12 11:55 Sam James
2020-10-10 19:29 Andreas Sturmlechner
2020-08-31 19:59 Andreas Sturmlechner
2020-08-30 23:46 Sam James
2020-08-29 3:28 Sam James
2020-08-29 2:07 Sam James
2020-08-29 2:06 Sam James
2020-08-25 22:16 Sam James
2020-08-25 21:41 Sam James
2020-08-22 18:52 Andreas Sturmlechner
2020-08-22 18:52 Andreas Sturmlechner
2020-05-30 19:33 Sergei Trofimovich
2020-05-09 7:46 Agostino Sarubbo
2020-05-09 7:43 Agostino Sarubbo
2020-04-21 11:26 Andreas Sturmlechner
2020-03-19 10:14 Agostino Sarubbo
2020-03-19 10:12 Agostino Sarubbo
2020-02-26 22:02 Andreas Sturmlechner
2020-02-26 22:02 Andreas Sturmlechner
2020-02-09 18:51 Andreas Sturmlechner
2020-02-05 19:49 Andreas Sturmlechner
2020-01-27 10:48 Mikle Kolyada
2020-01-19 13:40 Andreas Sturmlechner
2020-01-13 19:50 Sergei Trofimovich
2019-12-25 16:02 Andreas Sturmlechner
2019-12-25 16:02 Andreas Sturmlechner
2019-12-21 10:54 Mikle Kolyada
2019-12-21 9:33 Andreas Sturmlechner
2019-12-21 9:09 Andreas Sturmlechner
2019-12-18 20:33 Andreas Sturmlechner
2019-12-18 14:28 Andreas Sturmlechner
2019-11-02 15:23 Andreas Sturmlechner
2019-10-20 16:15 Mikle Kolyada
2019-09-15 16:51 Andreas Sturmlechner
2019-07-21 16:13 Andreas Sturmlechner
2019-05-23 13:20 Mikle Kolyada
2019-05-23 12:26 Mikle Kolyada
2019-04-26 15:34 Anthony G. Basile
2019-04-21 18:24 Andreas Sturmlechner
2019-04-21 18:24 Andreas Sturmlechner
2019-03-03 19:52 Davide Pesavento
2019-02-11 23:36 Sergei Trofimovich
2019-01-09 13:30 Mikle Kolyada
2018-11-24 13:32 Sergei Trofimovich
2018-10-30 17:46 Andreas Sturmlechner
2018-09-07 23:46 Sergei Trofimovich
2018-08-19 10:46 Sergei Trofimovich
2018-07-13 13:41 Mikle Kolyada
2018-07-12 10:38 Andreas Sturmlechner
2018-05-01 20:38 Andreas Hüttel
2018-05-01 13:53 Andreas Hüttel
2018-03-26 7:04 Sergei Trofimovich
2018-03-21 7:25 Sergei Trofimovich
2018-03-13 19:51 Michał Górny
2018-03-03 20:20 Andreas Sturmlechner
2018-02-22 20:09 Andreas Sturmlechner
2017-10-10 11:50 Michael Palimaka
2017-07-08 3:21 Michael Palimaka
2017-06-06 16:12 Markus Meier
2017-06-03 20:09 Sergei Trofimovich
2017-05-22 11:40 Agostino Sarubbo
2017-05-21 16:41 Michael Weber
2017-05-20 10:37 Michael Weber
2017-05-19 7:40 Jeroen Roovers
2017-05-18 12:39 Agostino Sarubbo
2017-01-02 18:44 Markus Meier
2016-10-13 9:41 Agostino Sarubbo
2016-08-23 19:15 Markus Meier
2016-04-23 22:04 Davide Pesavento
2016-04-07 18:01 Michael Palimaka
2016-03-27 16:47 Agostino Sarubbo
2016-03-24 5:53 Markus Meier
2016-02-19 9:22 Michael Palimaka
2015-10-29 16:48 Michael Palimaka
2015-10-29 16:48 Michael Palimaka
2015-10-18 9:40 Mikle Kolyada
2015-08-26 14:56 Mikle Kolyada
2015-08-23 9:24 Jeroen Roovers
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1642003934.ee9113be721c2c9eb6fec49edc9184dfb716240d.asturm@gentoo \
--to=asturm@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox